## symbiosis-xmpp 905~49761.d26241e4

=== debian/changelog ===
symbiosis-xmpp (2017:905~49761.d26241e4) stable; urgency=medium

  **** SNAPSHOT BUILD ****

 -- Andrew Ladlow <andrew.ladlow@bytemark.co.uk>  Mon, 18 Jun 2018 10:11:07 +0100

symbiosis-xmpp (2017:0904) stable; urgency=medium

  * Added ssl-hook to reconfigure prosody when a new SSL certificate is
    generated.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 04 Sep 2017 11:20:16 +0100

symbiosis-xmpp (2017:0510) stable; urgency=medium

  * Store monit configuration in /usr/share instead of /etc. Use symlinks to
    allow users to enable/disable but discourage editing

 -- Telyn <telyn@bytemark.co.uk>  Wed, 10 May 2017 13:42:15 +0100

symbiosis-xmpp (2017:0424) stable; urgency=medium

  * Updated DH params generation to use central script.
  * Updated monit task to use systemd rather than sysvinit.
  * Updated copyright.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 24 Apr 2017 15:03:14 +0100

symbiosis-xmpp (2015:1027) UNRELEASED; urgency=medium

  * Do not restart dovecot on install/remove, as no extra dovecot
    configuration snippet is used.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 08 Aug 2017 15:16:02 +0100

symbiosis-xmpp (2015:1026) oldstable; urgency=medium

  * Ensure manpages are built.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 06 Jul 2017 16:09:15 +0100

symbiosis-xmpp (2015:1025) stable; urgency=medium

  * Add lua-sec as an explicit dependency for TLS support.
  * Tidied makefile.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 19 Apr 2017 10:36:20 +0100

symbiosis-xmpp (2015:1024) stable; urgency=medium

  * Updated cipher lists.
  * Fixed template name in comment in template.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 21 Nov 2016 13:50:51 +0000

symbiosis-xmpp (2015:1023) stable; urgency=medium

  * XMPP configuration generated a line consisting of just a semi-colon when
    no SSL certificates were available for a domain.  This has been fixed
    (closes #12473).

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 03 Feb 2016 13:38:13 +0000

symbiosis-xmpp (2015:1022) stable; urgency=medium

  * Updated to work with new version of symbiosis-common.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 14 Jan 2016 16:44:04 +0000

symbiosis-xmpp (2015:1021) stable; urgency=medium

  * Fixed bugs in configuration (missing semicolons).

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 21 Oct 2015 22:10:47 +0100

symbiosis-xmpp (2015:1013) stable; urgency=medium

  * Updated SSL paramters.
  * Added separate dhparam file, and a cron job to regenerate it.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 13 Oct 2015 14:52:10 +0100

symbiosis-xmpp (2015:0825) stable; urgency=medium

  * Tidied manpage. 

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 25 Aug 2015 12:03:02 +0100

symbiosis-xmpp (2015:0618) stable; urgency=medium

  * Rename File#exists? to File#exist?
  * Updated maintainers + uploaders. 

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 17 Jun 2015 11:03:50 +0100

symbiosis-xmpp (2015:0128) stable; urgency=low

  * Updated Debian standards.

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 28 Jan 2015 10:00:01 +0000

symbiosis-xmpp (2014:1110) stable; urgency=low

  * Added ruby dep and tweaked template (closes #6041).

 -- James Carter <jcarter@bytemark.co.uk>  Mon, 10 Nov 2014 10:54:49 +0000

symbiosis-xmpp (2014:0217) stable; urgency=low

  * Altered auth to use the same Dovecot socket as exim.
  * Removed old dovecot config.
  * Updated postinst to fix firewall rule permissions.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 17 Feb 2014 12:13:48 +0000

symbiosis-xmpp (2014:0215) stable; urgency=low

  * Fixed dovecot socket permissions (ugh).

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 14 Feb 2014 17:32:49 +0000

symbiosis-xmpp (2014:0214) stable; urgency=low

  * Added bug control.
  * Renamed symbiosis-configure-xmpp to symbiosis-xmpp-configure.
  * Removed DH_VERBOSE flag.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 14 Feb 2014 13:17:16 +0000

symbiosis-xmpp (2014:0118) stable; urgency=low

  * Initial release. (Closes: #4276)

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Sat, 18 Jan 2014 07:23:55 +0000

## symbiosis-xmpp 905~49921.88e48413

=== debian/changelog ===
symbiosis-xmpp (2017:905~49921.88e48413) stable; urgency=medium

  **** SNAPSHOT BUILD ****

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 19 Jun 2018 11:57:01 +0100

## symbiosis-xmpp 905~49928.e84d52d7

=== debian/changelog ===
symbiosis-xmpp (2017:905~49928.e84d52d7) stable; urgency=medium

  **** SNAPSHOT BUILD ****

 -- Jamie Nguyen <j@jamielinux.com>  Tue, 19 Jun 2018 12:11:47 +0100

## symbiosis-xmpp 0907

=== Makefile ===

all: man/symbiosis-xmpp-configure.man

docs: all

test:
	@echo "I: no tests defined for this package"

man/%.man: ./sbin/%
	[ -d man ] || mkdir man
	RUBYLIB=./lib:../common/lib $<  --manual | sed -e 's/^=\+$$//' | txt2man -s 1 -t $(notdir $<) | sed -e 's/\\\\fB/\\fB/' > $@
	test -s $@

clean:
	$(RM) -r man

.PHONY: clean nop test docs

=== debian/changelog ===
symbiosis-xmpp (2017:0907) stable; urgency=medium

  * Move ssl-hooks to /usr/share, and symlink back to /etc. 

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 07 Sep 2017 17:03:18 +0100

=== debian/control ===
Source: symbiosis-xmpp
Section: net
Priority: extra
Maintainer: James Carter <jcarter@bytemark.co.uk>
Uploaders: Patrick J Cherry <patrick@bytemark.co.uk>, Steve Kemp <steve@bytemark.co.uk>
Build-Depends: debhelper (>= 7.0.0), gem2deb, txt2man, symbiosis-common
Standards-Version: 3.9.6
XS-Ruby-Versions: all

Package: symbiosis-xmpp
Architecture: all
Depends: symbiosis-common (>= 2017:0830), symbiosis-email, prosody, prosody-mod-auth-dovecot, lua-sec, ruby | ruby-interpreter, ${misc:Depends}
Recommends: symbiosis-monit
Description: Add XMPP (Jabber) support to Symbiosis
 This package installs prosody and configures users based on existing
 symbiosis-email accounts, such that all email users can optionally use XMPP
 with their handle being the same as their email address. Prosody is
 configured to authenticate against the Dovecot authentication mechanism.

=== debian/rules ===
#!/usr/bin/make -f
#
# export DH_VERBOSE=1
#
# Uncomment to ignore all test failures (but the tests will run anyway)
# export DH_RUBY_IGNORE_TESTS=all
#
#
# Uncomment to ignore some test failures (but the tests will run anyway).
# Valid values:
#export DH_RUBY_IGNORE_TESTS=ruby1.8 ruby1.9.1 require-rubygems
#
# If you need to specify the .gemspec (eg there is more than one)
#export DH_RUBY_GEMSPEC=gem.gemspec

%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_auto_build-indep:
	$(MAKE) docs

override_dh_auto_clean:
	$(MAKE) clean

## symbiosis-xmpp 1027

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: symbiosis-xmpp
 Architecture: all
-Depends: symbiosis-common (>= 2017:0830), symbiosis-email, prosody, prosody-mod-auth-dovecot, lua-sec, ruby | ruby-interpreter, ${misc:Depends}
+Depends: symbiosis-common (>= 2014:0113), symbiosis-email, prosody, prosody-mod-auth-dovecot, lua-sec, ruby | ruby-interpreter, ${misc:Depends}
 Recommends: symbiosis-monit
 Description: Add XMPP (Jabber) support to Symbiosis
  This package installs prosody and configures users based on existing
